
import java.sql.*; 
import java.io.*; 

class FindMajorAlt { 
  public static void main (String args []) 
      throws SQLException, IOException { 

    DriverManager.registerDriver (new oracle.jdbc.driver.OracleDriver());
 
    String user, pass, sql, key;
    user = readEntry("userid  : ");
    pass = readEntry("password: ");
    Connection conn =  DriverManager.getConnection
                            ("jdbc:oracle:oci8:@addb", user, pass);

    PreparedStatement stmt = conn.prepareStatement("select * from students where Last_Name like ? or First_Name like ?");

    do {

        String name = readEntry("Last name/First name/exit> ");

        if (name.equals("exit")) 
            break;
 
        stmt.setString(1, "%" + name + "%");
        stmt.setString(2, "%" + name + "%");

        ResultSet rset = stmt.executeQuery ();

        while (rset.next ()) { 
            System.out.println(rset.getString(2) + " " +
                               rset.getString(3) + ":  " +
                               rset.getString(4));
        } 
    } while (true);

    conn.close();
    System.out.println("Thank you and bye.");
  } 


  //readEntry function -- to read input string
  static String readEntry(String prompt) {
     try {
       StringBuffer buffer = new StringBuffer();
       System.out.print(prompt);
       System.out.flush();
       int c = System.in.read();
       while(c != '\n' && c != -1) {
         buffer.append((char)c);
         c = System.in.read();
       }
       return buffer.toString().trim();
     } catch (IOException e) {
       return "";
       }
   }
} 
